%define ver_major 0.9

Name: gnome-main-menu
Version: %ver_major.16
Release: alt2

Summary: The GNOME Desktop Menu
Group: Graphical desktop/GNOME
License: GPLv2+
Url: http://www.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

BuildRequires: gtk-doc intltool libgtk+2-devel >= 2.18.0
BuildRequires: libgnome-desktop-devel libgnome-panel-devel libslab-devel librsvg-devel
BuildRequires: libGConf-devel libnautilus-devel libunique-devel libgtop-devel
BuildRequires: NetworkManager-glib-devel libwireless-devel

%description
The GNOME Desktop Menu and Application Browser.

%prep
%setup -q

%build
export CFLAGS="$CFLAGS `pkg-config --cflags libxml-2.0`"
%configure \
  --disable-static \
  --disable-schemas-install \
  --enable-nautilus-extension

%make_build

%install
%make DESTDIR=%buildroot install
%find_lang %name

# auto start application-browser to preload the shell
mkdir -p %buildroot/%_datadir/gnome/autostart
sed -e "/^Exec=/ s/\(application-browser\) *$/\1 --hide/" \
application-browser/etc/application-browser.desktop > \
%buildroot/%_datadir/gnome/autostart/application-browser.desktop

%define schemas application-browser slab

%post
%gconf2_install %schemas

%preun
%gconf2_uninstall %schemas

%files -f %name.lang
%_bindir/*
%_datadir/gnome-2.0/ui/GNOME_MainMenu_ContextMenu.xml
%_datadir/gnome/autostart/application-browser.desktop
%_datadir/applications/application-browser.desktop
%_datadir/applications/gnome-screensaver-lock.desktop
%_datadir/applications/gnome-session-logout.desktop
%_datadir/applications/gnome-session-shutdown.desktop
%_datadir/applications/trigger-panel-run-dialog.desktop
%_datadir/%name/
%_libexecdir/main-menu
%_libdir/bonobo/servers/GNOME_MainMenu.server
%_libdir/nautilus/extensions-2.0/*.so
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README

%exclude %_libdir/nautilus/extensions-2.0/*.la

%changelog
* Mon Mar 14 2011 Yuri N. Sedunov <aris@altlinux.org> 0.9.16-alt2
- 0.9.16 release

* Tue Nov 16 2010 Yuri N. Sedunov <aris@altlinux.org> 0.9.16-alt1
- build of current snapshot

* Mon Nov 15 2010 Yuri N. Sedunov <aris@altlinux.org> 0.9.15-alt2
- updated buildreqs

* Wed Jun 09 2010 Yuri N. Sedunov <aris@altlinux.org> 0.9.15-alt1
- first build for Sisyphus

